import type { Buffer, Device, Texture } from '@luma.gl/core';
import { Model } from '@luma.gl/engine';
import { Layer, LayerContext } from '@deck.gl/core';
type _TriangleLayerProps = {
    data: {
        attributes: {
            positions: Buffer;
            texCoords: Buffer;
        };
    };
    colorDomain: number[];
    aggregationMode: string;
    threshold: number;
    intensity: number;
    vertexCount: number;
    colorTexture: Texture;
    maxTexture: Texture;
    weightsTexture: Texture;
};
export default class TriangleLayer extends Layer<_TriangleLayerProps> {
    static layerName: string;
    state: {
        model: Model;
        positions: Buffer;
        texCoords: Buffer;
    };
    getShaders(): {
        vs: string;
        fs: string;
        modules: import("@luma.gl/shadertools").ShaderModule[];
    };
    initializeState({ device }: LayerContext): void;
    _getModel(device: Device): Model;
    draw({ uniforms }: {
        uniforms: any;
    }): void;
}
export {};
//# sourceMappingURL=triangle-layer.d.ts.map